Skip to Content
APIsOrder Book

Order Books

Get order books returns a full order book for a crypto pair from an exchange.

Get Order Books

GEThttps://api.adesic.com/v2/cex/{exchange}/{market}/orders

Returns a snapshot of the recent level 2 orderbook for a crypto pair on an exchange.

Path Parameters

NameTypeDescription
exchange*stringUnique exchange identifier used by Adesic.
market*stringUnique Crypto Pair identifier used by the exchange.

Query Parameters

NameTypeDescription
apiKey*stringYour Adesic API Key
success-response.js
{ "exchange":"coinbasepro", "market":"BTC/USD", "timestamp":14601360013, "bids": [ [ 61947.91, 1.48088 ], [ 61947.9, 0.5 ], [ 61944.07, 0.44094 ] ], "asks": [ [ 61947.92, 2.28573 ], [ 61952.89, 0.11214 ], [ 61952.9, 0.50224 ] ] }

Copy & Paste Code

curl-request.sh
curl -H "api-key: API KEY" https://api.adesic.com/v2/cex/coinbasepro/BTC-USD/orders

Response Object

Example URL: https://api.adesic.com/v2/cex/coinbasepro/BTC-USD/orders 

response.json
{ "exchange":"coinbasepro", "market":"BTC/USD", "timestamp ":14601360013, "bids": [ [ 61947.91, 1.48088 ], [ 61947.9, 0.5 ], [ 61944.07, 0.44094 ] ], "asks": [ [ 61947.92, 2.28573 ], [ 61952.89, 0.11214 ], [ 61952.9, 0.50224 ] ] }

Response Attributes

Attribute NameData TypeDescription
exchangestringThe exchange id the order book is from.
marketstringThe crypto pair the order book is about.
timestampintegerThe unique timestamp identifier of the order book on the exchange.
bidsarrayArrays of bids in the market [[float, float], [float, float]]
asksarrayArrays of asks in the market [[float, float], [float, float]]

© Adesic LLC. All Rights Reserved